Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring
Class MuleConfigurationConfigurator

    java.lang.Object
      org.mule.config.spring.MuleConfigurationConfigurator

All Implemented Interfaces:
  MuleContextAware, org.springframework.beans.factory.FactoryBean, org.springframework.beans.factory.SmartFactoryBean

    public class MuleConfigurationConfigurator

extends Object
implements MuleContextAware, org.springframework.beans.factory.SmartFactoryBean

This class is a "SmartFactoryBean" which allows a few XML attributes to be set on the otherwise read-only MuleConfiguration. It looks up the MuleConfiguration from the MuleContext and does some class-casting to be able to modify it. Note that this will only work if the MuleContext has not yet been started, otherwise the modifications will be ignored (and warnings logged).

Field Summary
`protected Log` | `logger`

Constructor Summary
`MuleConfigurationConfigurator()`

Method Summary
`Object` | `getObject()`
`Class<?>` | `getObjectType()`
`boolean` | `isEagerInit()`
`boolean` | `isPrototype()`
`boolean` | `isSingleton()`
`void` | `setDefaultResponseTimeout(int responseTimeout)`
`void` | `setDefaultSynchronousEndpoints(boolean synchronous)`
`void` | `setDefaultTransactionTimeout(int defaultTransactionTimeout)`
`void` | `setMuleContext(MuleContext context)`
`void` | `setShutdownTimeout(int shutdownTimeout)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected transient Log logger

Constructor Detail

### MuleConfigurationConfigurator

    public MuleConfigurationConfigurator()

Method Detail

### setMuleContext

    public void setMuleContext(MuleContext context)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### isEagerInit

    public boolean isEagerInit()

  Specified by:
    `isEagerInit` in interface `org.springframework.beans.factory.SmartFactoryBean`

### isPrototype

    public boolean isPrototype()

  Specified by:
    `isPrototype` in interface `org.springframework.beans.factory.SmartFactoryBean`

### getObject

    public Object getObject()
                     throws Exception

  Specified by:
    `getObject` in interface `org.springframework.beans.factory.FactoryBean`
  Throws:
    `Exception`

### getObjectType

    public Class<?> getObjectType()

  Specified by:
    `getObjectType` in interface `org.springframework.beans.factory.FactoryBean`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `org.springframework.beans.factory.FactoryBean`

### setDefaultSynchronousEndpoints

    public void setDefaultSynchronousEndpoints(boolean synchronous)

### setDefaultResponseTimeout

    public void setDefaultResponseTimeout(int responseTimeout)

### setDefaultTransactionTimeout

    public void setDefaultTransactionTimeout(int defaultTransactionTimeout)

### setShutdownTimeout

    public void setShutdownTimeout(int shutdownTimeout)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.